uniform float layer;
varying float frad;
void main()
{
	float alpha = ((gl_TexCoord[0].x * gl_TexCoord[0].x) + (gl_TexCoord[0].y * gl_TexCoord[0].y));
	float d = 5*(1.0-(alpha));
	float c = (d) < 1.0 ? d : 1.0;
	gl_FragColor = vec4(c,c,c,1.0);
	gl_FragDepth = alpha;
}
